package com.ejie.aa21b.model;

/**
 * Aa21b12s01  
 * 
 *  
 */

public class Aa21b12s01 implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Long CDepar12;
	private String DDepar12;
	private String EDepar12;
	private String situ12;
	private String bloq12;
	private String usub12;

	/**
	 * Method 'Aa21b12s01'.
	 */
	public Aa21b12s01() {
	}

	/**
	 * Method 'Aa21b12s01'.
	 * 
	 * @param CDepar12
	 *            Long
	 */
	public Aa21b12s01(Long CDepar12) {
		this.CDepar12 = CDepar12;
	}

	/**
	 * Method 'Aa21b12s01'.
	 * 
	 * @param CDepar12
	 *            Long
	 * @param DDepar12
	 *            String
	 * @param EDepar12
	 *            String
	 * @param situ12
	 *            String
	 */
	public Aa21b12s01(Long CDepar12, String DDepar12, String EDepar12,
			String situ12, String usub12) {

		this.CDepar12 = CDepar12;
		this.DDepar12 = DDepar12;
		this.EDepar12 = EDepar12;
		this.situ12 = situ12;
		this.usub12 = usub12;
	}

	/**
	 * Method 'getCDepar12'.
	 * 
	 * @return Long
	 */

	public Long getCDepar12() {
		return this.CDepar12;
	}

	/**
	 * Method 'setCDepar12'.
	 * 
	 * @param CDepar12
	 *            Long
	 * @return
	 */

	public void setCDepar12(Long CDepar12) {
		this.CDepar12 = CDepar12;
	}

	/**
	 * Method 'getDDepar12'.
	 * 
	 * @return String
	 */

	public String getDDepar12() {
		return this.DDepar12;
	}

	/**
	 * Method 'setDDepar12'.
	 * 
	 * @param DDepar12
	 *            String
	 * @return
	 */

	public void setDDepar12(String DDepar12) {
		this.DDepar12 = DDepar12;
	}

	/**
	 * Method 'getEDepar12'.
	 * 
	 * @return String
	 */

	public String getEDepar12() {
		return this.EDepar12;
	}

	/**
	 * Method 'setEDepar12'.
	 * 
	 * @param EDepar12
	 *            String
	 * @return
	 */

	public void setEDepar12(String EDepar12) {
		this.EDepar12 = EDepar12;
	}

	/**
	 * Method 'getSitu12'.
	 * 
	 * @return String
	 */

	public String getSitu12() {
		return this.situ12;
	}

	/**
	 * Method 'setSitu12'.
	 * 
	 * @param situ12
	 *            String
	 * @return
	 */

	public void setSitu12(String situ12) {
		this.situ12 = situ12;
	}

	public String getBloq12() {
		return bloq12;
	}

	public void setBloq12(String bloq12) {
		this.bloq12 = bloq12;
	}

	public String getUsub12() {
		return usub12;
	}

	public void setUsub12(String usub12) {
		this.usub12 = usub12;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ CDepar12: ").append(this.CDepar12).append(" ]");
		result.append(", [ DDepar12: ").append(this.DDepar12).append(" ]");
		result.append(", [ EDepar12: ").append(this.EDepar12).append(" ]");
		result.append(", [ situ12: ").append(this.situ12).append(" ]");
		result.append(", [ bloq12: ").append(this.bloq12).append(" ]");
		result.append(", [ usub12: ").append(this.usub12).append(" ]");
		result.append("}");
		return result.toString();
	}

}
